namespace IRaCIS.Core.Domain.Models;

[Comment("项目 - 项目中心用户关系表")]
[Table("TrialSiteUser")]
public class TrialSiteUser : BaseFullDeleteAuditEntity
{

    #region 导航属性
    [JsonIgnore]
    [ForeignKey("UserId")]
    public User User { get; set; }
    [JsonIgnore]
    [ForeignKey("TrialId")]
    public Trial Trial { get; set; }

    [JsonIgnore]
    public TrialSite TrialSite { get; set; }

    #endregion
    public Guid TrialSiteId { get; set; }

    public Guid UserId { get; set; }

    public Guid TrialId { get; set; }
}
